/*
 * ProgressBar.java
 *
 * Created on 2003/10/13, 10:21
 */

/**
 *
 * @author  miwa
 */
public class ProgressBar extends java.awt.Canvas {
    private int min = 0;
    private int max = 100;
    private int value = 0;

    private int w;
    private int h;
    
    private java.awt.image.BufferedImage bimg;
    private java.awt.Graphics      big;
    
    /** Creates a new instance of ProgressBar */
    public ProgressBar(int min, int max, int value) {
        this.min   = min;
        this.max   = max;
        this.value = value;
        this.setBounds(0,0,200,16);
    }
    
    public void paint(java.awt.Graphics graphics) {
        java.awt.Dimension d = getSize();
        w = d.width;
        h = d.height;
        int p = w * value / (max - min);
     // graphics.fillRect(0,0,w /2,h);
        graphics.setColor(new java.awt.Color(255, 255, 255));
        graphics.fillRect(0,         2, w, h - 2);

        graphics.setColor(new java.awt.Color( 160, 160, 255));
        graphics.fillRect(0,         2, p, h     / 4);
        graphics.setColor(new java.awt.Color( 120, 120, 255));
        graphics.fillRect(0, h     / 4, p, h     / 2);
        graphics.setColor(new java.awt.Color(  80,  80, 255));
        graphics.fillRect(0, h     / 2, p, h * 3 / 4);
        graphics.setColor(new java.awt.Color(  20,  20, 255));
        graphics.fillRect(0, h * 3 / 4, p, h - 2);

        graphics.setColor(new java.awt.Color(255, 255, 255));
        int x = 0;
        for (int i = 1; i < 20; i++) {
            x = w * i / 20; 
            graphics.drawLine(x - 4, 0, x, h);
        }          
    }
    
    public void setValue(int v) {
       this.value = v;
       repaint();       
    }
    
    public void setMax(int n) {
        this.max = n;
    }
    
    public void setMin(int n) {
        this.min = n;
    }
    
}
